
import oracle.xquery.XQueryContext;
import oracle.xquery.PreparedXQuery;
import oracle.xquery.XQueryResultSet;
import oracle.xml.parser.v2.XMLNode;

import java.io.Reader;
import java.io.FileReader;

/**
 * Created by IntelliJ IDEA.
 * User: Nathan Nagarajan
 * Date: Mar 17, 2003
 * Time: 10:20:10 PM
 * This programs demonstrates usage of Oracle XQuery API to read a query from a file and
 * printout the result of the XQuery. The xml file to query is found as part of XQuery in the
 * query file.
 */
public class OracleXQueryDemo {
    public static void main(String argv[]) {
        //Create a XQuery Context.
        XQueryContext ctx = new XQueryContext();
        try {

            // Read the XQuery file containing the query.
            Reader strm = new FileReader("C:\\nathannewbook\\j2eebible\\exmpl1.xql");

            // Prepare the XQuery.
            PreparedXQuery xq = ctx.prepareXQuery(strm);

            // Execute the XQuery.
            XQueryResultSet rset = xq.executeQuery(false);

            //Traverse through the result set.
            while (rset.next()) {
                // get the result nodes
                XMLNode node = rset.getNode();
                //System.out.println(" NODE " + node.getNodeName());
                //print the node.
                node.print(System.out);
            }
        } catch (Exception e) {
            e.printStackTrace();
            System.out.println(" got exception " + e.getMessage());
        }
    }
}
